import axios from '../utils/axios'
import { stringToUrl } from '@/common/js/utils';

// 登录
export function login(params) {
  return axios.post(`/SZWL-SERVER/tAdmin/login?username=${params.username}&password=${params.password}&hostName=${params.hostName}`, params);
}
// 根据系统ID获取logo和系统名称
export function getSys(params) {
  return axios.get(`/SZWL-SERVER/tLogo/getLogo?${stringToUrl(params)}`);
}
// 微信授权 -> 获取 openid
export function getOpenid() {
  return axios.get('/SZWL-SERVER/wxLogin/menuOauth');
}

// 用微信code 获取openid，再获取用户信息
export function getUserDetailByWxCode(code) {
  return axios.get('/SZWL-SERVER/wxLogin/getUserDetailByWxCode', { params: { code } });
}

// 微信登录
export function wxLogin(openid) {
  return axios.get('/SZWL-SERVER/wxLogin/wxLogin', { params: { openid } }).then(response => response.data);
}